%define pkgname rack-test
Summary:	Small, simple testing API for Rack apps
Name:		ruby-%{pkgname}
Version:	0.5.3
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	b1182b682a76424352f140989fd790a6
URL:		http://github.com/brynary/rack-test
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Requires:	ruby-rack >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rack::Test is a small, simple testing API for Rack apps. It can be
used on its own or as a reusable starting point for Web frameworks and
testing libraries to build on. Most of its initial functionality is an
extraction of Merb 1.0's request helpers feature.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/Rack/cdesc-Rack.ri
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc History.txt README.rdoc
%{ruby_vendorlibdir}/rack/test.rb
%{ruby_vendorlibdir}/rack/test
%{ruby_vendorlibdir}/rack/mock_session.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Rack/Test
%changelog
* Sun Oct 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rack-test.git;a=log;h=master

* Sun Oct 06 2013 Elan Ruusamäe <glen@delfi.ee> e3616a7
- build with rubygem provides

* Sun Oct 06 2013 Elan Ruusamäe <glen@delfi.ee> e860fca
- noarch; build to vendor dir

* Mon Mar 08 2010 Jan Rękorajski <baggins@pld-linux.org> 82a447e
- fix requires

* Mon Mar 08 2010 Jan Rękorajski <baggins@pld-linux.org> 26e8f40
- initial revision

